### Hierarchy

- CommonOptions
  - SpawnOptions

## Index

### Properties

- argv0
- cwd
- detached
- env
- gid
- shell
- stdio
- timeout
- uid
- windowsHide
- windowsVerbatimArguments

## Properties

### Optional argv0

argv0: undefined | string

- Defined in node_modules/@types/node/child_process.d.ts:106

### Optional cwd

cwd: undefined | string

Inherited from ProcessEnvOptions.cwd

- Defined in node_modules/@types/node/child_process.d.ts:90

### Optional detached

detached: undefined | false | true

- Defined in node_modules/@types/node/child_process.d.ts:108

### Optional env

env: ProcessEnv

Inherited from ProcessEnvOptions.env

- Defined in node_modules/@types/node/child_process.d.ts:91

### Optional gid

gid: undefined | number

Inherited from ProcessEnvOptions.gid

- Defined in node_modules/@types/node/child_process.d.ts:89

### Optional shell

shell: boolean | string

- Defined in node_modules/@types/node/child_process.d.ts:109

### Optional stdio

stdio: StdioOptions

- Defined in node_modules/@types/node/child_process.d.ts:107

### Optional timeout

timeout: undefined | number

Inherited from CommonOptions.timeout

- Defined in node_modules/@types/node/child_process.d.ts:102

default

  0

### Optional uid

uid: undefined | number

Inherited from ProcessEnvOptions.uid

- Defined in node_modules/@types/node/child_process.d.ts:88

### Optional windowsHide

windowsHide: undefined | false | true

Inherited from CommonOptions.windowsHide

- Defined in node_modules/@types/node/child_process.d.ts:98

default

  true

### Optional windowsVerbatimArguments

windowsVerbatimArguments: undefined | false | true

- Defined in node_modules/@types/node/child_process.d.ts:110

Generated using TypeDoc